Fedora says Ruby is installed but ruby command not found

Okay, so I’m just trying to install ruby. Totally uninstalled it yesterday - or so I thought.
Attached is a screenshot of my exact problem. As you can see, there is no path to the ruby executable yet when I go to install ruby, it says that ruby is already installed.
I have no idea what to do next. I’ve been stuck on this problem for quite a few hours now…

Ah okay! I got it. I had to run the following command first:

$ sudo yum remove ruby-2.4.4-88.fc26.x86_64

Got the hint from this source: https://docs.fedoraproject.org/en-US/Fedora/18/html/System_Administrators_Guide/sec-Removing.html

3 Likes

That’s very weird. How did you uninstall it in the first place?

From the looks of it, /usr/bin/ruby-mri is what you are looking for, and this is provided in the rubypick-mri package. /usr/bin/ruby, on the otherhand, is from the rubypick package as it tells you. This is a wrapper that lets one choose a ruby implementation from the looks of it:

$ sudo dnf info rubypick
Last metadata expiration check: 0:38:09 ago on Thu 16 May 2019 17:32:11 BST.
Installed Packages
Name         : rubypick
Version      : 1.1.1
Release      : 10.fc30
Architecture : noarch
Size         : 4.4 k
Source       : rubypick-1.1.1-10.fc30.src.rpm
Repository   : @System
From repo    : fedora
Summary      : Stub to allow choosing Ruby runtime
URL          : https://github.com/bkabrda/rubypick
License      : MIT
Description  : Fedora /usr/bin/ruby stub to allow choosing Ruby runtime. Similarly to rbenv
             : or RVM, it allows non-privileged user to choose which is preferred Ruby
             : runtime for current task.

1 Like

I’m not sure why that works. Another note: current Fedora releases now use dnf. yum is deprecated—it simply calls dnf.

More information here: https://fedoraproject.org/wiki/DNF

1 Like

.- Interactive Ruby (irb), Install it by default like python3 does

type in terminal

irb # you can play with ruby command in it

to exit type --> quit/exit

Also you’re in an EOL release and :fedora: not provide update that mean that you can have security issues… I sugest upgrade to a newer release

https://docs.fedoraproject.org/en-US/quick-docs/dnf-system-upgrade/

Regards.,

2 Likes

Ah, to be honest, I’m not 100% sure since it was a few days ago but I’m pretty sure all I did was just delete the ruby and rails executable from my /usr/bin/ folder.

Interesting, I kept wondering what the /usr/bin/ruby-mri was - thank you for the information.

I ended up re-installing ruby shortly after solving my problem yesterday and now it runs just fine.
I have an older version of Fedora, Fedora-26 so that could be why yum still works - though I use dnf too.

Alright, thank you for the insight.